<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>ElasticSearchProxy</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ElasticSearchProxy";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ElasticSearchProxy.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/db/CPMDB.html" title="class in fr.inria.alpage.frmgcm.db"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html" target="_top">Frames</a></li>
<li><a href="ElasticSearchProxy.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.db</div>
<h2 title="Class ElasticSearchProxy" class="title">Class ElasticSearchProxy</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.db.ElasticSearchProxy</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="strong">ElasticSearchProxy</span>
extends java.lang.Object</pre>
<div class="block">This class is used to handle connection and some operation over elasticsearch index</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>paul</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#ElasticSearchProxy()">ElasticSearchProxy</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#call(java.lang.String,%20com.mongodb.BasicDBObject)">call</a></strong>(java.lang.String&nbsp;url,
    com.mongodb.BasicDBObject&nbsp;postVal)</code>
<div class="block">REST call to the elasticsearch index server</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#call(java.lang.String,%20java.lang.String)">call</a></strong>(java.lang.String&nbsp;url,
    java.lang.String&nbsp;postVal)</code>
<div class="block">REST call to the elasticsearch index server</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#callBulk(java.lang.String)">callBulk</a></strong>(java.lang.String&nbsp;bulkOperations)</code>
<div class="block">Apply bulk operation over the graph index</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#search(com.mongodb.BasicDBObject)">search</a></strong>(com.mongodb.BasicDBObject&nbsp;query)</code>
<div class="block">Search graphs within the index</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ElasticSearchProxy()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ElasticSearchProxy</h4>
<pre>public&nbsp;ElasticSearchProxy()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="search(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>search</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject&nbsp;search(com.mongodb.BasicDBObject&nbsp;query)
                                        throws java.io.IOException</pre>
<div class="block">Search graphs within the index</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>query</code> - the query json object as defined in elasticsearch reference</dd>
<dt><span class="strong">Returns:</span></dt><dd>the json object result of the query as defined in elasticsearch reference</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="call(java.lang.String, com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>call</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject&nbsp;call(java.lang.String&nbsp;url,
                             com.mongodb.BasicDBObject&nbsp;postVal)</pre>
<div class="block">REST call to the elasticsearch index server</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>url</code> - the path to the webservice</dd><dd><code>postVal</code> - the value posted to the service asked</dd>
<dt><span class="strong">Returns:</span></dt><dd>the json object result of the call to the webservice asked</dd></dl>
</li>
</ul>
<a name="callBulk(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>callBulk</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject&nbsp;callBulk(java.lang.String&nbsp;bulkOperations)</pre>
<div class="block">Apply bulk operation over the graph index</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>bulkOperations</code> - the bulk operation string as defined in elasticsearch reference</dd>
<dt><span class="strong">Returns:</span></dt><dd>the json object result of the bulk operation</dd></dl>
</li>
</ul>
<a name="call(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>call</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject&nbsp;call(java.lang.String&nbsp;url,
                             java.lang.String&nbsp;postVal)</pre>
<div class="block">REST call to the elasticsearch index server</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>url</code> - the path to the webservice</dd><dd><code>postVal</code> - the value posted to the service asked</dd>
<dt><span class="strong">Returns:</span></dt><dd>the json object result of the call to the webservice asked</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ElasticSearchProxy.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/db/CPMDB.html" title="class in fr.inria.alpage.frmgcm.db"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html" target="_top">Frames</a></li>
<li><a href="ElasticSearchProxy.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
